## octave-sockets 1.0.4

=== DESCRIPTION ===
Name: sockets
Version: 1.0.4
Date: 2008-04-29
Author: John Swensen <jpswensen@comcast.net>
Maintainer: Tom Holroyd <tomh@kurage.nimh.nih.gov>
Title: Sockets
Description: Socket functions
Categories: Sockets
Depends: octave (>= 2.9.10)
Autoload: no
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
OCT = sockets.oct
SRC := $(OCT:.oct=.cc)

all: $(OCT)

%.oct: %.cc
	mkoctfile -s $<

test: $(OCT)
	test_octave_sockets

clean:
	rm -f *.oct *.o

.PHONY: all clean test

## octave-sockets 1.0.6

=== DESCRIPTION ===
Name: sockets
Version: 1.0.6
Date: 2009-11-16
Author: John Swensen <jpswensen@comcast.net>
Maintainer: Tom Holroyd <tomh@kurage.nimh.nih.gov>
Title: Sockets
Description: Socket functions for networking from within octave.
Categories: Sockets
Depends: octave (>= 2.9.10)
Autoload: no
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
OCT = sockets.oct
SRC := $(OCT:.oct=.cc)

#See which octave version we run by querying mkoctfile for its version
#string. (Is there a better way to do this? This looks horrible.) 
majorversion :=$(shell mkoctfile --version 2>&1 |sed -e 's/^.* \([0-9]*\)\.\([0-9]*\).\([0-9]*\)$$/\1/g')
minorversion:=$(shell mkoctfile --version 2>&1 |sed -e 's/^.* \([0-9]*\)\.\([0-9]*\).\([0-9]*\)$$/\2/g')
microversion:=$(shell mkoctfile --version 2>&1 |sed -e 's/^.* \([0-9]*\)\.\([0-9]*\).\([0-9]*\)$$/\3/g')

VFLAGS=-DMAJORVERSION=$(majorversion) 
VFLAGS+=-DMINORVERSION=$(minorversion)
VFLAGS+=-DMICROVERSION=$(microversion)

all: $(OCT)

%.oct: %.cc
	mkoctfile $(VFLAGS) -s $<

test: $(OCT)
	test_octave_sockets

clean:
	rm -f *.oct *.o

.PHONY: all clean test

## octave-sockets 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: sockets
-Version: 1.0.6
-Date: 2009-11-16
+Version: 1.0.7
+Date: 2011-03-03
 Author: John Swensen <jpswensen@comcast.net>
 Maintainer: Tom Holroyd <tomh@kurage.nimh.nih.gov>
 Title: Sockets

=== debian/changelog ===
octave-sockets (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Mon, 02 May 2011 21:45:26 +0200

octave-sockets (1.0.6-2) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571923)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1, no changes required

 -- Thomas Weber <tweber@debian.org>  Sun, 01 May 2011 20:28:31 +0200

octave-sockets (1.0.6-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 21 Dec 2009 19:02:29 +0100

octave-sockets (1.0.5-3) unstable; urgency=low

  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/patches/autoload-yes.diff: Add description

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:04:57 +0200

octave-sockets (1.0.5-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 12:56:00 +0200

octave-sockets (1.0.5-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version
  * debian/patches/gethostname_with_empty_arg: removed, applied upstream

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 16:35:07 +0000

octave-sockets (1.0.4-3) unstable; urgency=low

  * debian/patches/autoload-yes.diff: Enable autoloading of sockets
    functions by default
  * debian/control: Improve long description

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 21 May 2008 11:11:14 +0000

octave-sockets (1.0.4-2) unstable; urgency=low

  * New patch (gethostname_with_empty_arg) and re-add quilt, patch courtesy of
    David Bateman.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 15:24:10 +0200

octave-sockets (1.0.4-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Thomas Weber ]
  * Drop patch pkg-add-autoloads.diff, applied (somewhat) upstream.
  * debian/rules, debian/control: Drop dependency on quilt, no more patches
    currently.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 13:28:47 +0200

octave-sockets (1.0.3-1) unstable; urgency=low

  * Initial release (closes: #468522)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 13:06:24 +0100

=== debian/control ===
Source: octave-sockets
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/sockets
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-sockets.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-sockets.git

Package: octave-sockets
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: communication through Internet sokects in Octave
 This package provides functions to work with sockets in octave,
 mimicking the Unix socket API (socket, connect, disconnect,
 gethostbyname, send, recv, bind, listen, and accept)
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/sockets-([\d.]+)\.tar\.gz\?download

## octave-sockets 1.0.8

=== DESCRIPTION ===
Name: sockets
Version: 1.0.8
Date: 2012-06-22
Author: John Swensen <jpswensen@comcast.net>
Maintainer: Paul Dreik <slask@pauldreik.se>
Title: Sockets
Description: Socket functions for networking from within octave.
Categories: Sockets
Depends: octave (>= 2.9.10)
Autoload: no
License: GPLv3+
Url: http://octave.sourceforge.net

=== src/Makefile ===
OCT = sockets.oct
SRC := $(OCT:.oct=.cc)

#See which octave version we run by querying mkoctfile for its version
#string. (Is there a better way to do this? This looks horrible.) 
majorversion := $(shell  mkoctfile --version 2>&1  | sed  -e 's/[ .+]/\n/g' |sed  -n '3p')
minorversion := $(shell  mkoctfile --version 2>&1  | sed  -e 's/[ .+]/\n/g' |sed  -n '4p')
microversion := $(shell  mkoctfile --version 2>&1  | sed  -e 's/[ .+]/\n/g' |sed  -n '5p')

VFLAGS=-DMAJORVERSION=$(majorversion) 
VFLAGS+=-DMINORVERSION=$(minorversion)
VFLAGS+=-DMICROVERSION=$(microversion)

all: $(OCT)

%.oct: %.cc
	mkoctfile $(VFLAGS) -s $<

test: $(OCT)
	test_octave_sockets

clean:
	rm -f *.oct *.o

.PHONY: all clean test

=== debian/changelog ===
octave-sockets (1.0.8-2) unstable; urgency=medium

  [ Thomas Weber ]
  * Update the copyright file to GPL-3+
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Add Rafael Laboissiere and Mike Miller to Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * d/copyright: ensure that all files have copyright information.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 18:36:02 +0200

octave-sockets (1.0.8-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.8
  * debian/patches/compile-with-gcc-4.7.diff: Drop patch (applied upstream)
  * debian/patches/autoload-yes.diff: Refresh patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 29 Jun 2012 18:10:21 +0000

octave-sockets (1.0.7-2) unstable; urgency=low

  [ Thomas Weber ]
  * Re-introduce the package into Debian - after 2 years without maintainer,
    Paul Dreik took over upstream development.
  * Fix spelling error in description (closes: #630966)

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.7
  * Build-depend on octave-pkg-dev >= 1.0.2, to compile against Octave 3.6
  * Bump Standards-Version to 3.9.3, no changes needed
  * Bump to debhelper compat level 9
  * Add Sébastien Villemot to Uploaders
  * debian/copyright: update to machine-readable format 1.0
  * debian/watch: Use the SourceForge redirector
  * Add Lintian override for false positive on hardening flags
  * debian/check.m: Make the tests really work
  * debian/octave-sockets.examples: Install the test scripts as examples
  * debian/patches/compile-with-gcc-4.7.diff: New patch
  * debian/patches/path-for-octave-command.diff: New patch

 -- Thomas Weber <tweber@debian.org>  Fri, 22 Jun 2012 17:31:09 +0200

=== debian/control ===
Source: octave-sockets
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.2)
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/sockets
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-sockets.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-sockets.git

Package: octave-sockets
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: communication through Internet sockets in Octave
 This package provides functions to work with sockets in octave,
 mimicking the Unix socket API (socket, connect, disconnect,
 gethostbyname, send, recv, bind, listen, and accept)
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-sockets 1.2.0

=== debian/changelog ===
octave-sockets (1.2.0-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:16 +0100

octave-sockets (1.2.0-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 08 Nov 2019 13:07:46 -0300

octave-sockets (1.2.0-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/copyright: Use secure URL in the Format header
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:44 -0200

octave-sockets (1.2.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:38:10 -0200

octave-sockets (1.2.0-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:38 -0200

octave-sockets (1.2.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.0
  * d/octave-sockets.examples: Refresh for new upstream version
  * d/p/autoload-yes.diff: Remove patch (deprecated upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 20:47:12 +0200

=== debian/control ===
Source: octave-sockets
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1)
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/sockets/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-sockets
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: communication through Internet sockets in Octave
 This package provides functions to work with sockets in octave,
 mimicking the Unix socket API (socket, connect, disconnect,
 gethostbyname, send, recv, bind, listen, and accept)
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/sockets-(.+)\.tar\.gz

## octave-sockets 1.2.1

=== DESCRIPTION ===
Name: sockets
Version: 1.2.1
Date: 2020-11-10
Author: John Swensen <jpswensen@comcast.net>
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: Sockets
Description: Socket functions for networking from within octave.
Categories: Sockets
Depends: octave (>= 3.6.0)
License: GPLv3+
Url: http://octave.sourceforge.net

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
## Copyright 2020 John Donoghue <john.donoghue@ieee.org>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

TOPDIR := $(shell pwd)

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr
TEXI2PDF  ?= texi2pdf -q

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))


## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -cf - $(TAR_OPTIONS) -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) clean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
#html_options = --eval 'options = get_html_options ("octave-forge");' \
#               --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = pkg('list', '$(package)'){1}.dir;" \
	  --eval "doctest (targets);"


## Test package.
octave_test_commands = \
' pkgs = pkg("list", "$(package)"); \
  dirs = {pkgs{1}.dir}; \
  __run_test_suite__ (dirs, {}); '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
	@echo "## Removing target directory (if empty)..."
	test -e $(target_dir) && rmdir $(target_dir) || true
	@echo
	@echo "## Cleaning done"
	@echo

=== src/Makefile ===
# Makefile for the octave sockets package.
# The intent is to keep this makefile working for
# * Octave>=3.2
# * Windows
# straight out of the box.

OCT := socket.oct
SRC := $(OCT:.oct=.cc)

MKOCTFILE ?= mkoctfile -Wall
OCTAVE_CONFIG ?= octave-config
OCTAVE ?= octave

CANONICAL_HOST_TYPE := $(shell $(OCTAVE_CONFIG) -p CANONICAL_HOST_TYPE))

#The following is necessary to get the sockets package working in Windows.
#It has been tried on Win7 and XP, in Octave 3.8.0 using mxe-octave (mingw)
EXTRALIBS := 
ifneq (,$(findstring mingw,$(CANONICAL_HOST_TYPE)))
  EXTRALIBS := -lws2_32
endif

all: $(OCT)

%.oct: %.cc
	$(MKOCTFILE) $< $(EXTRALIBS)

# We need to generate a PKG_ADD file for this to work. We could also
# get a string with the stuff in PKG_ADD and eval it before the test
# command, but it messes up the quotes.
check: $(OCT)
	grep PKG_ADD $(SRC) | sed 's/\/\/ PKG_ADD: //' > PKG_ADD
	$(OCTAVE) -q --no-window-system --eval "test $(SRC)"
	rm PKG_ADD

clean:
	-rm -f *.o octave-core octave-workspace core *.oct *~ PKG_ADD

#This creates a package for distribution. It requires the checked out hg
#repo to be named sockets, or that a symlink of name sockets point to the
#checked out repo.
pkgversion:=$(word 2,$(shell grep ^Version ../DESCRIPTION|head -n1))
pkg:
	cd ../.. && tar cvfzh sockets-${pkgversion}.tar.gz --exclude=.hg sockets/

.PHONY: all clean check pkg

=== debian/changelog ===
octave-sockets (1.2.1-1build2) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:36:02 +0000

octave-sockets (1.2.1-1build1) hirsute; urgency=medium

  * No-change rebuild for octave soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Dec 2020 22:46:27 +0100

octave-sockets (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * d/watch: Update to version 4

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Nov 2020 10:50:47 -0300

octave-sockets (1.2.0-6) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 11:16:37 -0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/sockets/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets

## octave-sockets 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: sockets
-Version: 1.2.1
-Date: 2020-11-10
+Version: 1.4.0
+Date: 2022-07-22
 Author: John Swensen <jpswensen@comcast.net>
 Maintainer: Octave-Forge community <maintainers@octave.org>
 Title: Sockets

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,23 @@
 CUT ?= cut
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
+MAKEINFO  ?= makeinfo
+
+# work out a possible help generator
+ifeq ($(strip $(QHELPGENERATOR)),)
+  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qhelpgenerator-qt5
+  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator-qt5
+  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
+  # v4 doesnt work
+  #  QHELPGENERATOR = qhelpgenerator -qt5
+  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator -qt5
+  else
+    QHELPGENERATOR = true
+  endif
+endif
 
 ## Note the use of ':=' (immediate set) and not just '=' (lazy set).
 ## http://stackoverflow.com/a/448939/1609556
@@ -113,6 +130,48 @@
 	-$(RM) $(release_tarball) $(html_tarball)
 	@echo
 
+## doc build rules
+.PHONY: docs
+docs: doc/$(package).pdf doc/$(package).info doc/$(package).qhc doc/$(package).html
+
+.PHONY: clean-docs
+clean-docs:
+	$(RM) -f doc/$(package).html
+	$(RM) -f doc/$(package).qhc
+	$(RM) -f doc/$(package).qch
+	$(RM) -f doc/$(package).info
+	$(RM) -f doc/$(package).pdf
+	$(RM) -f doc/functions.texi
+	$(RM) -f doc/docs.cpp
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+	# remove temp files
+	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
+
+doc/$(package).html: doc/$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+
+doc/$(package).qhc: doc/$(package).html
+	# try also create qch file if can
+	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
+	cd doc && $(RM) -f $(package).qhcp $(package).qhp
+
+doc/$(package).info: doc/$(package).texi doc/functions.texi
+	cd doc && $(MAKEINFO) $(package).texi
+
+# mkdocfuns can find some of our #define socket constants
+CONST_DOC=DEFUN_DLD(\1,,,"\\\n-*- texinfo -*-\nSocket constant for \1\n")\n\{\n
+
+doc/functions.texi:
+	# we need make some marked up sources for our basic
+	# mkfuncdocs to find the #defined constants
+	$(SED) -n -e 's/^DEFUN_DLD_SOCKET_CONSTANT(\(.*\)).*/$(CONST_DOC)/p' src/*.cc > doc/docs.cpp
+	$(SED) -n -e 's/^DEFUN_DLD_SOCKET_CONSTANT_VALUE(\([^,]*\).*/$(CONST_DOC)/p' src/*.cc >> doc/docs.cpp
+	cd doc && ./mkfuncdocs.py --src-dir=../src/ --src-dir=. --allowscan ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
+	$(RM) -f docs.cpp
+	$(RM) -f doc/docs.cpp
+
 ## Create the unpacked package.
 ##
 ## Notes:
@@ -146,15 +205,20 @@
 #	cd "$@/src" && ./configure && $(MAKE) prebuild && \
 #	  $(MAKE) clean && $(RM) Makefile
 ##
+	# build docs
+	$(MAKE) -C "$@" docs
+	# remove dev stuff
+	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 	${FIX_PERMISSIONS} "$@"
 
 run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                          --eval ' pkg ("load", "$(package)"); '
 
-html_options = --eval 'options = get_html_options ("octave-forge");'
+#html_options = --eval 'options = get_html_options ("octave-forge");'
 ## Uncomment this for package documentation.
-#html_options = --eval 'options = get_html_options ("octave-forge");' \
-#               --eval 'options.package_doc = "$(package).texi";'
+html_options = --eval 'options = get_html_options ("octave-forge");' \
+               --eval 'options.package_doc = "$(package).texi";' \
+	       --eval 'options.package_doc_options = [options.package_doc_options " --css-include=$(package).css"];'
 $(html_dir): $(install_stamp)
 	$(RM) -r "$@";
 	$(run_in_place)                    \
@@ -241,7 +305,7 @@
 
 .PHONY: clean
 
-clean: clean-tarballs clean-unpacked-release clean-install
+clean: clean-tarballs clean-unpacked-release clean-install clean-docs
 	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true

=== debian/changelog ===
octave-sockets (1.4.0-4) unstable; urgency=medium

  * d/p/avoid-timeout-bist-failure.patch: New patch (avoid FTBFS)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 09 Dec 2022 09:45:26 -0300

octave-sockets (1.4.0-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 11:18:45 -0300

octave-sockets (1.4.0-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 11:10:51 -0300

octave-sockets (1.4.0-1) unstable; urgency=medium

  [ lintian-brush ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Rafael Laboissière ]
  * New upstream version 1.4.0
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning file src/socket.cc-tst
    + d/clean: Drop file
    + d/control: Build-depend on dh-octave >= 1.2.2. In this version
      dh_octave_clean removes the src/*-tst files.
  * d/octave-sockets.lintian-overrides: Drop unused override

 -- Rafael Laboissière <rafael@debian.org>  Sun, 24 Jul 2022 15:00:47 -0300

octave-sockets (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/clean: New file
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.
  * d/p/path-for-octave-command.diff: Add authorship information

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Mar 2022 03:57:20 -0300

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.5.0
+               dh-octave (>= 1.2.2),
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/sockets/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets

## octave-sockets 1.4.1

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -142,14 +143,22 @@
 	$(RM) -f doc/$(package).info
 	$(RM) -f doc/$(package).pdf
 	$(RM) -f doc/functions.texi
+	$(RM) -f doc/version.texi
 	$(RM) -f doc/docs.cpp
 
-doc/$(package).pdf: doc/$(package).texi doc/functions.texi
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
 
-doc/$(package).html: doc/$(package).texi doc/functions.texi
+doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
@@ -157,13 +166,13 @@
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
 
-doc/$(package).info: doc/$(package).texi doc/functions.texi
+doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
 
 # mkdocfuns can find some of our #define socket constants
 CONST_DOC=DEFUN_DLD(\1,,,"\\\n-*- texinfo -*-\nSocket constant for \1\n")\n\{\n
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	# we need make some marked up sources for our basic
 	# mkfuncdocs to find the #defined constants
 	$(SED) -n -e 's/^DEFUN_DLD_SOCKET_CONSTANT(\(.*\)).*/$(CONST_DOC)/p' src/*.cc > doc/docs.cpp
@@ -309,6 +318,3 @@
 	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true
-	@echo
-	@echo "## Cleaning done"
-	@echo

=== src/Makefile ===
--- 
+++ 
@@ -10,8 +10,14 @@
 MKOCTFILE ?= mkoctfile -Wall
 OCTAVE_CONFIG ?= octave-config
 OCTAVE ?= octave
+GREP ?= grep
 
 CANONICAL_HOST_TYPE := $(shell $(OCTAVE_CONFIG) -p CANONICAL_HOST_TYPE))
+
+ARCHDIR   := "$(shell $(OCTAVE_CONFIG) -p CANONICAL_HOST_TYPE)-$(shell $(OCTAVE_CONFIG) -p API_VERSION)"
+CC_SOURCES  := $(wildcard *.cc)
+CC_TST_SOURCES := $(shell $(GREP) --files-with-matches '^%!' $(CC_SOURCES))
+TST_SOURCES := $(patsubst %.cc,../inst/$(ARCHDIR)/%.cc-tst,$(CC_TST_SOURCES))
 
 #The following is necessary to get the sockets package working in Windows.
 #It has been tried on Win7 and XP, in Octave 3.8.0 using mxe-octave (mingw)
@@ -20,21 +26,41 @@
   EXTRALIBS := -lws2_32
 endif
 
-all: $(OCT)
+all: $(OCT) archtests
 
 %.oct: %.cc
 	$(MKOCTFILE) $< $(EXTRALIBS)
+
+$(TST_SOURCES): ../inst/$(ARCHDIR)/%.cc-tst: %.cc | ../inst/$(ARCHDIR)
+	@echo "Extracting tests from $< ..."
+	@$(RM) -f "$@" "$@-t"
+	@(      echo "## Generated from $<"; \
+		$(GREP) '^%!' "$<") > "$@"
+
+PHONY: archtests
+archtests: $(TST_SOURCES)
+
+PHONY: cleanarchtests
+cleanarchtests:
+	-rm -f $(TST_SOURCES)
+	-test -e ../inst/$(ARCHDIR) && rmdir ../inst/$(ARCHDIR) || true
+
+../inst/$(ARCHDIR):
+	@mkdir -p "$@"
 
 # We need to generate a PKG_ADD file for this to work. We could also
 # get a string with the stuff in PKG_ADD and eval it before the test
 # command, but it messes up the quotes.
 check: $(OCT)
-	grep PKG_ADD $(SRC) | sed 's/\/\/ PKG_ADD: //' > PKG_ADD
+	$(GREP) PKG_ADD $(SRC) | sed 's/\/\/ PKG_ADD: //' > PKG_ADD
 	$(OCTAVE) -q --no-window-system --eval "test $(SRC)"
 	rm PKG_ADD
 
-clean:
+clean: cleanarchtests
 	-rm -f *.o octave-core octave-workspace core *.oct *~ PKG_ADD
+
+PHONY: distclean
+distclean: clean
 
 #This creates a package for distribution. It requires the checked out hg
 #repo to be named sockets, or that a symlink of name sockets point to the

=== debian/changelog ===
octave-sockets (1.4.1-6) unstable; urgency=medium

  * d/control:
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump build-dependency on dh-octave to >= 1.11.0.
      This is necessary in order to properly clean the doc/ directory.
  * d/watch: Convert to version 5
  * d/s/lintian-overrides: Adjust override for debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 15:54:58 -0300

octave-sockets (1.4.1-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump build-dependency on dh-octave to >= 1.11.0.
      This is necessary in order to properly clean the doc/ directory.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 04:16:10 -0300

octave-sockets (1.4.1-4) unstable; urgency=medium

  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository URL
  * Build and install Qt Help files
    + debian/control: Build-depends on dh-octave >= 1.8.0
    + debian/patches/add-mkqhcp-py.patch: New patch
    + debian/rules: Build socket.{qch,qhc} files
  * d/s/lintian-overrides: Override Lintian warning
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 11 Feb 2024 05:56:54 -0300

octave-sockets (1.4.1-3) unstable; urgency=medium

  * Build documentation using upstream Makefile (Closes: #1060999)
    + d/p/add-mkfuncdocs-py.patch: New patch
    + d/rules: Make doc/mkfuncdocs.py executable and build the
      documentation files (PDF, HTML, and INFO) from the sources
    + d/control: Build-depend on python3
  * Add documentation in info format
    + d/octave-socket.info: New file
    + d/octave-sockets.doc-base: Add section for info files
  * d/p/add-info-dir.patch: New patch
  * d/s/lintian-overrides: Fix typo in comment

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Jan 2024 04:01:12 -0300

octave-sockets (1.4.1-2) unstable; urgency=medium

  * d/control: Build-depend on texlive (Closes: #1042007)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 26 Jul 2023 16:06:08 -0300

octave-sockets (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright:
    + Update Source URL
    + Reflect upstream changes
  * Build and install the upstream documentation

 -- Rafael Laboissière <rafael@debian.org>  Tue, 25 Jul 2023 07:56:13 -0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.2),
-               dh-sequence-octave
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/sockets/
+               dh-octave (>= 1.11.0),
+               dh-sequence-octave,
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/sockets/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-sockets
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
	make doc/sockets.info doc/sockets.html doc/sockets.pdf doc/sockets.qhc
endif

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/sockets/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/sockets-(.+).tar.gz

## octave-sockets 1.5.0

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
 MAKEINFO  ?= makeinfo
+MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -69,22 +70,23 @@
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
 
-HG           := hg
-HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
-HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
-HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
-
 
 ## Detect which VCS is used
 vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
 ifeq ($(vcs),hg)
 release_dir_dep := .hg/dirstate
+HG           := hg
+HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
+HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
 endif
 ifeq ($(vcs),git)
 release_dir_dep := .git/index
-endif
-
-TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+GIT          := git
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
 TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 ## .PHONY indicates targets that are not filenames
@@ -154,12 +156,12 @@
 	@echo "@set DATE $(pkg_date)" >> $@
 
 doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
 
 doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
 	# try also create qch file if can
@@ -217,7 +219,8 @@
 	# build docs
 	$(MAKE) -C "$@" docs
 	# remove dev stuff
-	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+	cd "$@" && $(RM) -rf "devel"
+	# && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 	${FIX_PERMISSIONS} "$@"
 
 run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
@@ -310,11 +313,3 @@
 
 ##
 ## CLEAN
-##
-
-.PHONY: clean
-
-clean: clean-tarballs clean-unpacked-release clean-install clean-docs
-	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
-	@echo "## Removing target directory (if empty)..."
-	test -e $(target_dir) && rmdir $(target_dir) || true

=== debian/changelog ===
octave-sockets (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Drop patches (applied upstream):
    + d/p/add-mkfuncdocs-py.patch
    + d/p/add-info-dir.patch
    + d/p/mkqhcp-py.patch
  * d/copyright: Reflect upstream changes
  * d/s/lintian-overrides: Drop unused overrides
  * d/salsa-ci.yml: New file
  * d/u/metadata: Update upstream URLs
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/watch: Update location of upstream tarball

 -- Rafael Laboissière <rafael@debian.org>  Sun, 25 Jan 2026 11:53:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-sockets
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Rafael Laboissière <rafael@debian.org>,
@@ -11,7 +10,7 @@
                dh-sequence-octave,
                python3 <!nodoc>,
                texlive <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/sockets/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/sockets/
Matching-Pattern: https://github.com/gnu-octave/octave-sockets/releases/download/release-1.5.0/sockets-@ANY_VERSION@@ARCHIVE_EXT@
